FROM baseimage-openjdk11:0.0.1

RUN mkdir -p /inout

VOLUME /inout

EXPOSE 50000

# Set application's JAR file
ARG APP_FILE=Apps/serviceTesting-1.0-SNAPSHOT.jar

# Add the application's JAR file to the container
ADD ${APP_FILE} app.jar

# Run the JAR file
ENTRYPOINT ["java", "-Djava.security.egd=file:/dev/./urandom", "-jar", "/app.jar"]

